<?php

//	Handle running this file by using SSI.php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

//	Make sure that we have the package database functions.
if(!array_key_exists('db_add_column', $smcFunc))
	db_extend('packages');

//	Create the Highlight column, in the {db_prefix}boards table.
$column_info = array(
	'name' => 'highlight',
	'type' => 'tinyint',
	'size' => '3',
	'default' => 1,
);
$smcFunc['db_add_column']('boards', $column_info);

//	Show a confirmation message, if an upgrade through SSI.php was successful.
if(SMF == 'SSI')
   echo 'Database updates complete!';

?>